Dependências Linux-headers [RESOLVIDO]

1. Dependências Linux-headers [RESOLVIDO]

André C.
porcoaranha

(usa Linux Mint)

Enviado em 12/02/2018 - 14:24h

Estou tentando instalar o linux-headers 4.15, mas dá erro de dependências.

A seleccionar pacote anteriormente não seleccionado linux-headers-4.15.0-041500rc8-generic.
(Lendo banco de dados ... 267553 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar linux-headers-4.15.0-041500rc8-generic.deb ...
A descompactar linux-headers-4.15.0-041500rc8-generic (4.15.0-041500rc8.201801142030) ...
dpkg: problemas com dependências impedem a configuração de linux-headers-4.15.0-041500rc8-generic:
linux-headers-4.15.0-041500rc8-generic depende de linux-headers-4.15.0-041500rc8; porém:
Pacote linux-headers-4.15.0-041500rc8 não está instalado.

dpkg: erro ao processar o pacote linux-headers-4.15.0-041500rc8-generic (--install):
problemas de dependência - deixando desconfigurado
Erros foram encontrados durante o processamento de:
linux-headers-4.15.0-041500rc8-generic


O comando "sudo apt-get install -f" simplesmente desinstala o linux-headers. A saída do comando é:

Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes a seguir serão REMOVIDOS:
linux-headers-4.15.0-041500rc8-generic
0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 12,4 MB de espaço em disco serão liberados.
Você quer continuar? [S/n]


Não estou conseguindo iniciar um sistema operacional no VirtualBox por conta disso...

Saída do comando uname -r:

4.15.0-041500rc8-generic



  


2. Re: Dependências Linux-headers

Paulo Jr
Pebis

(usa Debian)

Enviado em 12/02/2018 - 16:55h

porcoaranha escreveu:

Estou tentando instalar o linux-headers 4.15, mas dá erro de dependências.

A seleccionar pacote anteriormente não seleccionado linux-headers-4.15.0-041500rc8-generic.
(Lendo banco de dados ... 267553 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar linux-headers-4.15.0-041500rc8-generic.deb ...
A descompactar linux-headers-4.15.0-041500rc8-generic (4.15.0-041500rc8.201801142030) ...
dpkg: problemas com dependências impedem a configuração de linux-headers-4.15.0-041500rc8-generic:
linux-headers-4.15.0-041500rc8-generic depende de linux-headers-4.15.0-041500rc8; porém:
Pacote linux-headers-4.15.0-041500rc8 não está instalado.

dpkg: erro ao processar o pacote linux-headers-4.15.0-041500rc8-generic (--install):
problemas de dependência - deixando desconfigurado
Erros foram encontrados durante o processamento de:
linux-headers-4.15.0-041500rc8-generic


O comando "sudo apt-get install -f" simplesmente desinstala o linux-headers. A saída do comando é:

Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes a seguir serão REMOVIDOS:
linux-headers-4.15.0-041500rc8-generic
0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 12,4 MB de espaço em disco serão liberados.
Você quer continuar? [S/n]


Não estou conseguindo iniciar um sistema operacional no VirtualBox por conta disso...

Saída do comando uname -r:

4.15.0-041500rc8-generic


Como está tentando instalar? Via repositório?

Tentou instalar o pacote linux-headers-4.15.0-041500rc8 ?


3. Re: Dependências Linux-headers [RESOLVIDO]

André C.
porcoaranha

(usa Linux Mint)

Enviado em 12/02/2018 - 18:27h

Pebis escreveu:

porcoaranha escreveu:

Estou tentando instalar o linux-headers 4.15, mas dá erro de dependências.

A seleccionar pacote anteriormente não seleccionado linux-headers-4.15.0-041500rc8-generic.
(Lendo banco de dados ... 267553 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar linux-headers-4.15.0-041500rc8-generic.deb ...
A descompactar linux-headers-4.15.0-041500rc8-generic (4.15.0-041500rc8.201801142030) ...
dpkg: problemas com dependências impedem a configuração de linux-headers-4.15.0-041500rc8-generic:
linux-headers-4.15.0-041500rc8-generic depende de linux-headers-4.15.0-041500rc8; porém:
Pacote linux-headers-4.15.0-041500rc8 não está instalado.

dpkg: erro ao processar o pacote linux-headers-4.15.0-041500rc8-generic (--install):
problemas de dependência - deixando desconfigurado
Erros foram encontrados durante o processamento de:
linux-headers-4.15.0-041500rc8-generic


O comando "sudo apt-get install -f" simplesmente desinstala o linux-headers. A saída do comando é:

Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os pacotes a seguir serão REMOVIDOS:
linux-headers-4.15.0-041500rc8-generic
0 pacotes atualizados, 0 pacotes novos instalados, 1 a serem removidos e 0 não atualizados.
1 pacotes não totalmente instalados ou removidos.
Depois desta operação, 12,4 MB de espaço em disco serão liberados.
Você quer continuar? [S/n]


Não estou conseguindo iniciar um sistema operacional no VirtualBox por conta disso...

Saída do comando uname -r:

4.15.0-041500rc8-generic


Como está tentando instalar? Via repositório?

Tentou instalar o pacote linux-headers-4.15.0-041500rc8 ?


Baixei o arquivo .deb do Linux-headers. Esse pacote que se refere é diferente desse "generic" que eu tenho? Lembrando que sou iniciante ainda, por isso não sei de muita coisa.


4. Re: Dependências Linux-headers

Paulo Jr
Pebis

(usa Debian)

Enviado em 12/02/2018 - 19:05h

O linux-headers-4.15.0-041500rc8-generic depende de linux-headers-4.15.0-041500rc8, então tem que instalar o segundo para depois instalar o primeiro e como instalou de fora e não tem a versão disponível nos repositórios, o apt não é capaz de resolver essa dependência.


5. Re: Dependências Linux-headers [RESOLVIDO]

André C.
porcoaranha

(usa Linux Mint)

Enviado em 12/02/2018 - 20:36h

Pebis escreveu:

O linux-headers-4.15.0-041500rc8-generic depende de linux-headers-4.15.0-041500rc8, então tem que instalar o segundo para depois instalar o primeiro e como instalou de fora e não tem a versão disponível nos repositórios, o apt não é capaz de resolver essa dependência.


Ah sim. Entendi. Por acaso, o segundo tem link de download?


6. Re: Dependências Linux-headers [RESOLVIDO]

Paulo Jr
Pebis

(usa Debian)

Enviado em 12/02/2018 - 23:21h

Aonde você fez o download do anterior?


7. Re: Dependências Linux-headers [RESOLVIDO]

André C.
porcoaranha

(usa Linux Mint)

Enviado em 14/02/2018 - 11:33h

Pebis escreveu:

Aonde você fez o download do anterior?


Nesse link que me passaram:

kernel.ubuntu.com/~kernel-ppa/mainline/v4.15-rc8/linux-headers-4.15.0-041500rc8-generic_4.15.0-041500rc8.201801142030_amd64.deb


8. Re: Dependências Linux-headers [RESOLVIDO]

Luís Fernando C. Cavalheiro
lcavalheiro

(usa Slackware)

Enviado em 14/02/2018 - 11:50h

porcoaranha escreveu:

Pebis escreveu:

Aonde você fez o download do anterior?


Nesse link que me passaram:

kernel.ubuntu.com/~kernel-ppa/mainline/v4.15-rc8/linux-headers-4.15.0-041500rc8-generic_4.15.0-041500rc8.201801142030_amd64.deb


Nem pra pensar um pouco, né, gênio... acessa http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.15-rc8/ e você vai entender porque está sendo chamado de gênio...


--
Dino®
IRC: luisfcc86@freenode.com
Vi veri universum vivus vici
Public GPG signature: 0x246A590B
Só Slackware é GNU/Linux e Patrick Volkerding é o seu Profeta
Mensagem do dia: Satã representa conhecimento sem limites e não auto-ilusão hipócrita.



9. Re: Dependências Linux-headers [RESOLVIDO]

Paulo Jr
Pebis

(usa Debian)

Enviado em 14/02/2018 - 17:44h

kkkkkkkk


10. Re: Dependências Linux-headers [RESOLVIDO]

André C.
porcoaranha

(usa Linux Mint)

Enviado em 15/02/2018 - 16:19h

Ok, instalado.






Patrocínio

Site hospedado pelo provedor HostGator.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Viva o Android

Tópicos

Top 10 do mês

Scripts